Bug 591010 - Segfault while deleting files
Segfault while deleting files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-11 04:02 EDT by Simon Goodall
Modified: 2015-03-03 17:48 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:16:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace of segfault (2.31 KB, text/plain)
2010-05-11 13:18 EDT, Simon Goodall
no flags Details

  None (edit)
Description Simon Goodall 2010-05-11 04:02:22 EDT
Description of problem:
When deleting a bunch of files in nautilus, it kept crashing. The gui was slow to respond, so it is possible that I attempted to delete the same file multiple times.

/var/log/messages:
May 11 07:40:46 blink kernel: nautilus[5310]: segfault at c ip 0811d200 sp bfd79300 error 4 in nautilus[8045000+1da000]
May 11 07:42:18 blink kernel: nautilus[29671]: segfault at c ip 0811d200 sp bfb0a620 error 4 in nautilus[8045000+1da000]

.xsession-errors:
** (nautilus:5310): CRITICAL **: nautilus_file_get_uri: assertion `NAUTILUS_IS_FILE (file)' failed
Initializing nautilus-open-terminal extension

(nautilus:29671): GdkPixbuf-CRITICAL **: gdk_pixbuf_format_get_name: assertion `format != NULL' failed
Error: FoFiType1::parse a line has more than 255 characters, we don't support this
Error: FoFiType1::parse a line has more than 255 characters, we don't support this
Error: FoFiType1::parse a line has more than 255 characters, we don't support this
Error: FoFiType1::parse a line has more than 255 characters, we don't support this
Error: FoFiType1::parse a line has more than 255 characters, we don't support this
Error: FoFiType1::parse a line has more than 255 characters, we don't support this

** (nautilus:29671): CRITICAL **: nautilus_file_get_uri: assertion `NAUTILUS_IS_FILE (file)' failed
Initializing nautilus-open-terminal extension

Version-Release number of selected component (if applicable):
nautilus-2.30.1-3.fc13.i686

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tomáš Bžatek 2010-05-11 05:26:11 EDT
Can you please grab a backtrace of the crash? Can you please provide reliable repro steps so that we can debug the problem? Also, please try to remove (temporarily) nautilus-open-terminal to see what happens.
Comment 2 Simon Goodall 2010-05-11 12:29:54 EDT
Removing the nautilus-open-terminal does not fix things

To reproduce try creating a bunch of files in a directory like so;

for i in `seq 10`; do touch $i; done

Then in a nautilus window, delete a file with del key, then using the cursors move left then right, down then up etc. so you are back in the same position. Then press the del key again.

This needs to be done very quickly to trigger the segfault (on my machine at least)

I will obtain a backtrace once I have installed the debuginfos.
Comment 3 Simon Goodall 2010-05-11 13:18:19 EDT
Created attachment 413201 [details]
backtrace of segfault
Comment 4 Leif Gruenwoldt 2010-10-14 12:30:40 EDT
Possible upstream https://bugzilla.gnome.org/show_bug.cgi?id=628620
Comment 5 Simon Goodall 2010-12-10 10:51:33 EST
Still present in nautilus-2.32.1-1.fc14.x86_64
Comment 6 Bug Zapper 2011-06-02 10:12:35 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2011-06-27 12:16:00 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.